Summary:	Graphical client for PostgreSQL
Name:		pgadmin3
Version:	1.22.2
Release:	%mkrel 2
License:	Artistic
Group:		Databases
Source0:	https://ftp.postgresql.org/pub/pgadmin3/release/v%{version}/src/%{name}-%{version}.tar.gz
Patch1:		pgadmin3-1.12.2-desktop-file.patch
Patch3:		pgadmin3-1.14.2-cflags.patch
Patch4:		pgadmin3-openssl11.patch
URL:		http://www.pgadmin.org/
BuildRequires:	lib64wxgtku3.0-devel
BuildRequires:	postgresql-devel
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	imagemagick
Requires: wxgtk3.0

%description
PostgreSQL graphical Tools.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
# from fedora: use -fno-delete-null-pointer-checks to work around coding errors that cause crashes with gcc 6+
# https://bugzilla.redhat.com/show_bug.cgi?id=1335043
# https://gcc.gnu.org/gcc-6/porting_to.html
export CXXFLAGS="%optflags -fno-delete-null-pointer-checks"
%configure2_5x --with-wx-version=$(wx-config --release)
%make_build

%install
%make_install

rm -f %buildroot/usr/share/pgadmin3/docs/en_US/pgadmin3.hhp.cached

desktop-file-install --dir %{buildroot}/%{_datadir}/applications/ \
	pkg/%{name}.desktop

install -d $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert -size 16x16 pgadmin/include/images/pgAdmin3.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert -size 32x32 pgadmin/include/images/pgAdmin3.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -size 48x48 pgadmin/include/images/pgAdmin3.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Oct 06 2019 tex - 1.22.2-2pclos2019
- rebuild against updates

